Crystal Space: csGLExtensionFlags Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGLExtensionFlags Struct Reference

Struct containing all GL extension test flags. More...

`#include <csplugincommon/opengl/glextmanager.h>`

Inheritance diagram for csGLExtensionFlags:

[legend]
List of all members.

## Public Attributes
bool | CS_GL_3DFX_texture_compression_FXT1
| Whether the GL_3DFX_texture_compression_FXT1 extension was found.
bool | CS_GL_APPLE_client_storage
| Whether the GL_APPLE_client_storage extension was found.
bool | CS_GL_APPLE_element_array
| Whether the GL_APPLE_element_array extension was found.
bool | CS_GL_APPLE_fence
| Whether the GL_APPLE_fence extension was found.
bool | CS_GL_APPLE_vertex_array_object
| Whether the GL_APPLE_vertex_array_object extension was found.
bool | CS_GL_APPLE_vertex_array_range
| Whether the GL_APPLE_vertex_array_range extension was found.
bool | CS_GL_ARB_depth_texture
| Whether the GL_ARB_depth_texture extension was found.
bool | CS_GL_ARB_draw_buffers
| Whether the GL_ARB_draw_buffers extension was found.
bool | CS_GL_ARB_fragment_program
| Whether the GL_ARB_fragment_program extension was found.
bool | CS_GL_ARB_fragment_shader
| Whether the GL_ARB_fragment_shader extension was found.
bool | CS_GL_ARB_imaging
| Whether the GL_ARB_imaging extension was found.
bool | CS_GL_ARB_matrix_palette
| Whether the GL_ARB_matrix_palette extension was found.
bool | CS_GL_ARB_multisample
| Whether the GL_ARB_multisample extension was found.
bool | CS_GL_ARB_multitexture
| Whether the GL_ARB_multitexture extension was found.
bool | CS_GL_ARB_occlusion_query
| Whether the GL_ARB_occlusion_query extension was found.
bool | CS_GL_ARB_pixel_buffer_object
| Whether the GL_ARB_pixel_buffer_object extension was found.
bool | CS_GL_ARB_point_parameters
| Whether the GL_ARB_point_parameters extension was found.
bool | CS_GL_ARB_point_sprite
| Whether the GL_ARB_point_sprite extension was found.
bool | CS_GL_ARB_shader_objects
| Whether the GL_ARB_shader_objects extension was found.
bool | CS_GL_ARB_shading_language_100
| Whether the GL_ARB_shading_language_100 extension was found.
bool | CS_GL_ARB_shadow
| Whether the GL_ARB_shadow extension was found.
bool | CS_GL_ARB_shadow_ambient
| Whether the GL_ARB_shadow_ambient extension was found.
bool | CS_GL_ARB_texture_border_clamp
| Whether the GL_ARB_texture_border_clamp extension was found.
bool | CS_GL_ARB_texture_compression
| Whether the GL_ARB_texture_compression extension was found.
bool | CS_GL_ARB_texture_cube_map
| Whether the GL_ARB_texture_cube_map extension was found.
bool | CS_GL_ARB_texture_env_add
| Whether the GL_ARB_texture_env_add extension was found.
bool | CS_GL_ARB_texture_env_combine
| Whether the GL_ARB_texture_env_combine extension was found.
bool | CS_GL_ARB_texture_env_crossbar
| Whether the GL_ARB_texture_env_crossbar extension was found.
bool | CS_GL_ARB_texture_env_dot3
| Whether the GL_ARB_texture_env_dot3 extension was found.
bool | CS_GL_ARB_texture_mirrored_repeat
| Whether the GL_ARB_texture_mirrored_repeat extension was found.
bool | CS_GL_ARB_texture_non_power_of_two
| Whether the GL_ARB_texture_non_power_of_two extension was found.
bool | CS_GL_ARB_texture_rectangle
| Whether the GL_ARB_texture_rectangle extension was found.
bool | CS_GL_ARB_transpose_matrix
| Whether the GL_ARB_transpose_matrix extension was found.
bool | CS_GL_ARB_vertex_blend
| Whether the GL_ARB_vertex_blend extension was found.
bool | CS_GL_ARB_vertex_buffer_object
| Whether the GL_ARB_vertex_buffer_object extension was found.
bool | CS_GL_ARB_vertex_program
| Whether the GL_ARB_vertex_program extension was found.
bool | CS_GL_ARB_vertex_shader
| Whether the GL_ARB_vertex_shader extension was found.
bool | CS_GL_ARB_window_pos
| Whether the GL_ARB_window_pos extension was found.
bool | CS_GL_ATI_element_array
| Whether the GL_ATI_element_array extension was found.
bool | CS_GL_ATI_envmap_bumpmap
| Whether the GL_ATI_envmap_bumpmap extension was found.
bool | CS_GL_ATI_fragment_shader
| Whether the GL_ATI_fragment_shader extension was found.
bool | CS_GL_ATI_pn_triangles
| Whether the GL_ATI_pn_triangles extension was found.
bool | CS_GL_ATI_separate_stencil
| Whether the GL_ATI_separate_stencil extension was found.
bool | CS_GL_ATI_text_fragment_shader
| Whether the GL_ATI_text_fragment_shader extension was found.
bool | CS_GL_ATI_texture_mirror_once
| Whether the GL_ATI_texture_mirror_once extension was found.
bool | CS_GL_ATI_vertex_array_object
| Whether the GL_ATI_vertex_array_object extension was found.
bool | CS_GL_ATI_vertex_attrib_array_object
| Whether the GL_ATI_vertex_attrib_array_object extension was found.
bool | CS_GL_ATI_vertex_streams
| Whether the GL_ATI_vertex_streams extension was found.
bool | CS_GL_EXT_422_pixels
| Whether the GL_EXT_422_pixels extension was found.
bool | CS_GL_EXT_abgr
| Whether the GL_EXT_abgr extension was found.
bool | CS_GL_EXT_bgra
| Whether the GL_EXT_bgra extension was found.
bool | CS_GL_EXT_blend_color
| Whether the GL_EXT_blend_color extension was found.
bool | CS_GL_EXT_blend_equation_separate
| Whether the GL_EXT_blend_equation_separate extension was found.
bool | CS_GL_EXT_blend_func_separate
| Whether the GL_EXT_blend_func_separate extension was found.
bool | CS_GL_EXT_blend_logic_op
| Whether the GL_EXT_blend_logic_op extension was found.
bool | CS_GL_EXT_blend_minmax
| Whether the GL_EXT_blend_minmax extension was found.
bool | CS_GL_EXT_blend_subtract
| Whether the GL_EXT_blend_subtract extension was found.
bool | CS_GL_EXT_clip_volume_hint
| Whether the GL_EXT_clip_volume_hint extension was found.
bool | CS_GL_EXT_color_subtable
| Whether the GL_EXT_color_subtable extension was found.
bool | CS_GL_EXT_compiled_vertex_array
| Whether the GL_EXT_compiled_vertex_array extension was found.
bool | CS_GL_EXT_convolution
| Whether the GL_EXT_convolution extension was found.
bool | CS_GL_EXT_fog_coord
| Whether the GL_EXT_fog_coord extension was found.
bool | CS_GL_EXT_framebuffer_object
| Whether the GL_EXT_framebuffer_object extension was found.
bool | CS_GL_EXT_histogram
| Whether the GL_EXT_histogram extension was found.
bool | CS_GL_EXT_multi_draw_arrays
| Whether the GL_EXT_multi_draw_arrays extension was found.
bool | CS_GL_EXT_packed_depth_stencil
| Whether the GL_EXT_packed_depth_stencil extension was found.
bool | CS_GL_EXT_packed_pixels
| Whether the GL_EXT_packed_pixels extension was found.
bool | CS_GL_EXT_paletted_texture
| Whether the GL_EXT_paletted_texture extension was found.
bool | CS_GL_EXT_pixel_buffer_object
| Whether the GL_EXT_pixel_buffer_object extension was found.
bool | CS_GL_EXT_point_parameters
| Whether the GL_EXT_point_parameters extension was found.
bool | CS_GL_EXT_polygon_offset
| Whether the GL_EXT_polygon_offset extension was found.
bool | CS_GL_EXT_secondary_color
| Whether the GL_EXT_secondary_color extension was found.
bool | CS_GL_EXT_separate_specular_color
| Whether the GL_EXT_separate_specular_color extension was found.
bool | CS_GL_EXT_shadow_funcs
| Whether the GL_EXT_shadow_funcs extension was found.
bool | CS_GL_EXT_shared_texture_palette
| Whether the GL_EXT_shared_texture_palette extension was found.
bool | CS_GL_EXT_stencil_two_side
| Whether the GL_EXT_stencil_two_side extension was found.
bool | CS_GL_EXT_stencil_wrap
| Whether the GL_EXT_stencil_wrap extension was found.
bool | CS_GL_EXT_subtexture
| Whether the GL_EXT_subtexture extension was found.
bool | CS_GL_EXT_texture3D
| Whether the GL_EXT_texture3D extension was found.
bool | CS_GL_EXT_texture_compression_s3tc
| Whether the GL_EXT_texture_compression_s3tc extension was found.
bool | CS_GL_EXT_texture_env_add
| Whether the GL_EXT_texture_env_add extension was found.
bool | CS_GL_EXT_texture_env_combine
| Whether the GL_EXT_texture_env_combine extension was found.
bool | CS_GL_EXT_texture_env_dot3
| Whether the GL_EXT_texture_env_dot3 extension was found.
bool | CS_GL_EXT_texture_filter_anisotropic
| Whether the GL_EXT_texture_filter_anisotropic extension was found.
bool | CS_GL_EXT_texture_lod_bias
| Whether the GL_EXT_texture_lod_bias extension was found.
bool | CS_GL_EXT_texture_object
| Whether the GL_EXT_texture_object extension was found.
bool | CS_GL_EXT_texture_rectangle
| Whether the GL_EXT_texture_rectangle extension was found.
bool | CS_GL_EXT_texture_sRGB
| Whether the GL_EXT_texture_sRGB extension was found.
bool | CS_GL_EXT_vertex_array
| Whether the GL_EXT_vertex_array extension was found.
bool | CS_GL_EXT_vertex_shader
| Whether the GL_EXT_vertex_shader extension was found.
bool | CS_GL_EXT_vertex_weighting
| Whether the GL_EXT_vertex_weighting extension was found.
bool | CS_GL_GREMEDY_string_marker
| Whether the GL_GREMEDY_string_marker extension was found.
bool | CS_GL_HP_occlusion_test
| Whether the GL_HP_occlusion_test extension was found.
bool | CS_GL_IBM_cull_vertex
| Whether the GL_IBM_cull_vertex extension was found.
bool | CS_GL_IBM_multimode_draw_arrays
| Whether the GL_IBM_multimode_draw_arrays extension was found.
bool | CS_GL_IBM_raster_pos_clip
| Whether the GL_IBM_raster_pos_clip extension was found.
bool | CS_GL_IBM_texture_mirrored_repeat
| Whether the GL_IBM_texture_mirrored_repeat extension was found.
bool | CS_GL_IBM_vertex_array_lists
| Whether the GL_IBM_vertex_array_lists extension was found.
bool | CS_GL_MESA_resize_buffers
| Whether the GL_MESA_resize_buffers extension was found.
bool | CS_GL_MESA_window_pos
| Whether the GL_MESA_window_pos extension was found.
bool | CS_GL_NV_blend_square
| Whether the GL_NV_blend_square extension was found.
bool | CS_GL_NV_copy_depth_to_color
| Whether the GL_NV_copy_depth_to_color extension was found.
bool | CS_GL_NV_depth_clamp
| Whether the GL_NV_depth_clamp extension was found.
bool | CS_GL_NV_element_array
| Whether the GL_NV_element_array extension was found.
bool | CS_GL_NV_evaluators
| Whether the GL_NV_evaluators extension was found.
bool | CS_GL_NV_fence
| Whether the GL_NV_fence extension was found.
bool | CS_GL_NV_float_buffer
| Whether the GL_NV_float_buffer extension was found.
bool | CS_GL_NV_fog_distance
| Whether the GL_NV_fog_distance extension was found.
bool | CS_GL_NV_fragment_program
| Whether the GL_NV_fragment_program extension was found.
bool | CS_GL_NV_light_max_exponent
| Whether the GL_NV_light_max_exponent extension was found.
bool | CS_GL_NV_multisample_filter_hint
| Whether the GL_NV_multisample_filter_hint extension was found.
bool | CS_GL_NV_occlusion_query
| Whether the GL_NV_occlusion_query extension was found.
bool | CS_GL_NV_packed_depth_stencil
| Whether the GL_NV_packed_depth_stencil extension was found.
bool | CS_GL_NV_point_sprite
| Whether the GL_NV_point_sprite extension was found.
bool | CS_GL_NV_primitive_restart
| Whether the GL_NV_primitive_restart extension was found.
bool | CS_GL_NV_register_combiners
| Whether the GL_NV_register_combiners extension was found.
bool | CS_GL_NV_register_combiners2
| Whether the GL_NV_register_combiners2 extension was found.
bool | CS_GL_NV_texgen_emboss
| Whether the GL_NV_texgen_emboss extension was found.
bool | CS_GL_NV_texgen_reflection
| Whether the GL_NV_texgen_reflection extension was found.
bool | CS_GL_NV_texture_compression_vtc
| Whether the GL_NV_texture_compression_vtc extension was found.
bool | CS_GL_NV_texture_env_combine4
| Whether the GL_NV_texture_env_combine4 extension was found.
bool | CS_GL_NV_texture_rectangle
| Whether the GL_NV_texture_rectangle extension was found.
bool | CS_GL_NV_texture_shader
| Whether the GL_NV_texture_shader extension was found.
bool | CS_GL_NV_texture_shader2
| Whether the GL_NV_texture_shader2 extension was found.
bool | CS_GL_NV_texture_shader3
| Whether the GL_NV_texture_shader3 extension was found.
bool | CS_GL_NV_vertex_array_range
| Whether the GL_NV_vertex_array_range extension was found.
bool | CS_GL_NV_vertex_array_range2
| Whether the GL_NV_vertex_array_range2 extension was found.
bool | CS_GL_NV_vertex_program
| Whether the GL_NV_vertex_program extension was found.
bool | CS_GL_NV_vertex_program1_1
| Whether the GL_NV_vertex_program1_1 extension was found.
bool | CS_GL_NV_vertex_program2
| Whether the GL_NV_vertex_program2 extension was found.
bool | CS_GL_OML_interlace
| Whether the GL_OML_interlace extension was found.
bool | CS_GL_OML_resample
| Whether the GL_OML_resample extension was found.
bool | CS_GL_OML_subsample
| Whether the GL_OML_subsample extension was found.
bool | CS_GL_SGI_color_matrix
| Whether the GL_SGI_color_matrix extension was found.
bool | CS_GL_SGI_color_table
| Whether the GL_SGI_color_table extension was found.
bool | CS_GL_SGI_texture_color_table
| Whether the GL_SGI_texture_color_table extension was found.
bool | CS_GL_SGIS_depth_texture
| Whether the GL_SGIS_depth_texture extension was found.
bool | CS_GL_SGIS_generate_mipmap
| Whether the GL_SGIS_generate_mipmap extension was found.
bool | CS_GL_SGIS_multisample
| Whether the GL_SGIS_multisample extension was found.
bool | CS_GL_SGIS_pixel_texture
| Whether the GL_SGIS_pixel_texture extension was found.
bool | CS_GL_SGIS_texture_border_clamp
| Whether the GL_SGIS_texture_border_clamp extension was found.
bool | CS_GL_SGIS_texture_color_mask
| Whether the GL_SGIS_texture_color_mask extension was found.
bool | CS_GL_SGIS_texture_edge_clamp
| Whether the GL_SGIS_texture_edge_clamp extension was found.
bool | CS_GL_SGIS_texture_lod
| Whether the GL_SGIS_texture_lod extension was found.
bool | CS_GL_SGIX_fog_offset
| Whether the GL_SGIX_fog_offset extension was found.
bool | CS_GL_SGIX_interlace
| Whether the GL_SGIX_interlace extension was found.
bool | CS_GL_SGIX_shadow_ambient
| Whether the GL_SGIX_shadow_ambient extension was found.
bool | CS_GL_SUN_vertex
| Whether the GL_SUN_vertex extension was found.
bool | CS_GL_version_1_2
| Whether the corresponding GL version is supported.
bool | CS_GL_version_1_3
| Whether the corresponding GL version is supported.
bool | CS_GL_version_1_4
| Whether the corresponding GL version is supported.
bool | CS_GL_version_1_5
| Whether the corresponding GL version is supported.
bool | CS_GL_version_2_0
| Whether the corresponding GL version is supported.
bool | CS_GL_version_2_1
| Whether the corresponding GL version is supported.
bool | CS_WGL_ARB_buffer_region
| Whether the WGL_ARB_buffer_region extension was found.
bool | CS_WGL_ARB_extensions_string
| Whether the WGL_ARB_extensions_string extension was found.
bool | CS_WGL_ARB_make_current_read
| Whether the WGL_ARB_make_current_read extension was found.
bool | CS_WGL_ARB_pbuffer
| Whether the WGL_ARB_pbuffer extension was found.
bool | CS_WGL_ARB_pixel_format
| Whether the WGL_ARB_pixel_format extension was found.
bool | CS_WGL_ARB_render_texture
| Whether the WGL_ARB_render_texture extension was found.
bool | CS_WGL_EXT_extensions_string
| Whether the WGL_EXT_extensions_string extension was found.
bool | CS_WGL_EXT_make_current_read
| Whether the WGL_EXT_make_current_read extension was found.
bool | CS_WGL_EXT_pbuffer
| Whether the WGL_EXT_pbuffer extension was found.
bool | CS_WGL_EXT_pixel_format
| Whether the WGL_EXT_pixel_format extension was found.
bool | CS_WGL_EXT_swap_control
| Whether the WGL_EXT_swap_control extension was found.
bool | CS_WGL_I3D_digital_video_control
| Whether the WGL_I3D_digital_video_control extension was found.
bool | CS_WGL_I3D_gamma
| Whether the WGL_I3D_gamma extension was found.
bool | CS_WGL_I3D_genlock
| Whether the WGL_I3D_genlock extension was found.
bool | CS_WGL_I3D_image_buffer
| Whether the WGL_I3D_image_buffer extension was found.
bool | CS_WGL_I3D_swap_frame_lock
| Whether the WGL_I3D_swap_frame_lock extension was found.
bool | CS_WGL_I3D_swap_frame_usage
| Whether the WGL_I3D_swap_frame_usage extension was found.
## Protected Attributes
bool | tested_CS_GL_3DFX_texture_compression_FXT1
bool | tested_CS_GL_APPLE_client_storage
bool | tested_CS_GL_APPLE_element_array
bool | tested_CS_GL_APPLE_fence
bool | tested_CS_GL_APPLE_vertex_array_object
bool | tested_CS_GL_APPLE_vertex_array_range
bool | tested_CS_GL_ARB_depth_texture
bool | tested_CS_GL_ARB_draw_buffers
bool | tested_CS_GL_ARB_fragment_program
bool | tested_CS_GL_ARB_fragment_shader
bool | tested_CS_GL_ARB_imaging
bool | tested_CS_GL_ARB_matrix_palette
bool | tested_CS_GL_ARB_multisample
bool | tested_CS_GL_ARB_multitexture
bool | tested_CS_GL_ARB_occlusion_query
bool | tested_CS_GL_ARB_pixel_buffer_object
bool | tested_CS_GL_ARB_point_parameters
bool | tested_CS_GL_ARB_point_sprite
bool | tested_CS_GL_ARB_shader_objects
bool | tested_CS_GL_ARB_shading_language_100
bool | tested_CS_GL_ARB_shadow
bool | tested_CS_GL_ARB_shadow_ambient
bool | tested_CS_GL_ARB_texture_border_clamp
bool | tested_CS_GL_ARB_texture_compression
bool | tested_CS_GL_ARB_texture_cube_map
bool | tested_CS_GL_ARB_texture_env_add
bool | tested_CS_GL_ARB_texture_env_combine
bool | tested_CS_GL_ARB_texture_env_crossbar
bool | tested_CS_GL_ARB_texture_env_dot3
bool | tested_CS_GL_ARB_texture_mirrored_repeat
bool | tested_CS_GL_ARB_texture_non_power_of_two
bool | tested_CS_GL_ARB_texture_rectangle
bool | tested_CS_GL_ARB_transpose_matrix
bool | tested_CS_GL_ARB_vertex_blend
bool | tested_CS_GL_ARB_vertex_buffer_object
bool | tested_CS_GL_ARB_vertex_program
bool | tested_CS_GL_ARB_vertex_shader
bool | tested_CS_GL_ARB_window_pos
bool | tested_CS_GL_ATI_element_array
bool | tested_CS_GL_ATI_envmap_bumpmap
bool | tested_CS_GL_ATI_fragment_shader
bool | tested_CS_GL_ATI_pn_triangles
bool | tested_CS_GL_ATI_separate_stencil
bool | tested_CS_GL_ATI_text_fragment_shader
bool | tested_CS_GL_ATI_texture_mirror_once
bool | tested_CS_GL_ATI_vertex_array_object
bool | tested_CS_GL_ATI_vertex_attrib_array_object
bool | tested_CS_GL_ATI_vertex_streams
bool | tested_CS_GL_EXT_422_pixels
bool | tested_CS_GL_EXT_abgr
bool | tested_CS_GL_EXT_bgra
bool | tested_CS_GL_EXT_blend_color
bool | tested_CS_GL_EXT_blend_equation_separate
bool | tested_CS_GL_EXT_blend_func_separate
bool | tested_CS_GL_EXT_blend_logic_op
bool | tested_CS_GL_EXT_blend_minmax
bool | tested_CS_GL_EXT_blend_subtract
bool | tested_CS_GL_EXT_clip_volume_hint
bool | tested_CS_GL_EXT_color_subtable
bool | tested_CS_GL_EXT_compiled_vertex_array
bool | tested_CS_GL_EXT_convolution
bool | tested_CS_GL_EXT_fog_coord
bool | tested_CS_GL_EXT_framebuffer_object
bool | tested_CS_GL_EXT_histogram
bool | tested_CS_GL_EXT_multi_draw_arrays
bool | tested_CS_GL_EXT_packed_depth_stencil
bool | tested_CS_GL_EXT_packed_pixels
bool | tested_CS_GL_EXT_paletted_texture
bool | tested_CS_GL_EXT_pixel_buffer_object
bool | tested_CS_GL_EXT_point_parameters
bool | tested_CS_GL_EXT_polygon_offset
bool | tested_CS_GL_EXT_secondary_color
bool | tested_CS_GL_EXT_separate_specular_color
bool | tested_CS_GL_EXT_shadow_funcs
bool | tested_CS_GL_EXT_shared_texture_palette
bool | tested_CS_GL_EXT_stencil_two_side
bool | tested_CS_GL_EXT_stencil_wrap
bool | tested_CS_GL_EXT_subtexture
bool | tested_CS_GL_EXT_texture3D
bool | tested_CS_GL_EXT_texture_compression_s3tc
bool | tested_CS_GL_EXT_texture_env_add
bool | tested_CS_GL_EXT_texture_env_combine
bool | tested_CS_GL_EXT_texture_env_dot3
bool | tested_CS_GL_EXT_texture_filter_anisotropic
bool | tested_CS_GL_EXT_texture_lod_bias
bool | tested_CS_GL_EXT_texture_object
bool | tested_CS_GL_EXT_texture_rectangle
bool | tested_CS_GL_EXT_texture_sRGB
bool | tested_CS_GL_EXT_vertex_array
bool | tested_CS_GL_EXT_vertex_shader
bool | tested_CS_GL_EXT_vertex_weighting
bool | tested_CS_GL_GREMEDY_string_marker
bool | tested_CS_GL_HP_occlusion_test
bool | tested_CS_GL_IBM_cull_vertex
bool | tested_CS_GL_IBM_multimode_draw_arrays
bool | tested_CS_GL_IBM_raster_pos_clip
bool | tested_CS_GL_IBM_texture_mirrored_repeat
bool | tested_CS_GL_IBM_vertex_array_lists
bool | tested_CS_GL_MESA_resize_buffers
bool | tested_CS_GL_MESA_window_pos
bool | tested_CS_GL_NV_blend_square
bool | tested_CS_GL_NV_copy_depth_to_color
bool | tested_CS_GL_NV_depth_clamp
bool | tested_CS_GL_NV_element_array
bool | tested_CS_GL_NV_evaluators
bool | tested_CS_GL_NV_fence
bool | tested_CS_GL_NV_float_buffer
bool | tested_CS_GL_NV_fog_distance
bool | tested_CS_GL_NV_fragment_program
bool | tested_CS_GL_NV_light_max_exponent
bool | tested_CS_GL_NV_multisample_filter_hint
bool | tested_CS_GL_NV_occlusion_query
bool | tested_CS_GL_NV_packed_depth_stencil
bool | tested_CS_GL_NV_point_sprite
bool | tested_CS_GL_NV_primitive_restart
bool | tested_CS_GL_NV_register_combiners
bool | tested_CS_GL_NV_register_combiners2
bool | tested_CS_GL_NV_texgen_emboss
bool | tested_CS_GL_NV_texgen_reflection
bool | tested_CS_GL_NV_texture_compression_vtc
bool | tested_CS_GL_NV_texture_env_combine4
bool | tested_CS_GL_NV_texture_rectangle
bool | tested_CS_GL_NV_texture_shader
bool | tested_CS_GL_NV_texture_shader2
bool | tested_CS_GL_NV_texture_shader3
bool | tested_CS_GL_NV_vertex_array_range
bool | tested_CS_GL_NV_vertex_array_range2
bool | tested_CS_GL_NV_vertex_program
bool | tested_CS_GL_NV_vertex_program1_1
bool | tested_CS_GL_NV_vertex_program2
bool | tested_CS_GL_OML_interlace
bool | tested_CS_GL_OML_resample
bool | tested_CS_GL_OML_subsample
bool | tested_CS_GL_SGI_color_matrix
bool | tested_CS_GL_SGI_color_table
bool | tested_CS_GL_SGI_texture_color_table
bool | tested_CS_GL_SGIS_depth_texture
bool | tested_CS_GL_SGIS_generate_mipmap
bool | tested_CS_GL_SGIS_multisample
bool | tested_CS_GL_SGIS_pixel_texture
bool | tested_CS_GL_SGIS_texture_border_clamp
bool | tested_CS_GL_SGIS_texture_color_mask
bool | tested_CS_GL_SGIS_texture_edge_clamp
bool | tested_CS_GL_SGIS_texture_lod
bool | tested_CS_GL_SGIX_fog_offset
bool | tested_CS_GL_SGIX_interlace
bool | tested_CS_GL_SGIX_shadow_ambient
bool | tested_CS_GL_SUN_vertex
bool | tested_CS_GL_version_1_2
bool | tested_CS_GL_version_1_3
bool | tested_CS_GL_version_1_4
bool | tested_CS_GL_version_1_5
bool | tested_CS_GL_version_2_0
bool | tested_CS_GL_version_2_1
bool | tested_CS_WGL_ARB_buffer_region
bool | tested_CS_WGL_ARB_extensions_string
bool | tested_CS_WGL_ARB_make_current_read
bool | tested_CS_WGL_ARB_pbuffer
bool | tested_CS_WGL_ARB_pixel_format
bool | tested_CS_WGL_ARB_render_texture
bool | tested_CS_WGL_EXT_extensions_string
bool | tested_CS_WGL_EXT_make_current_read
bool | tested_CS_WGL_EXT_pbuffer
bool | tested_CS_WGL_EXT_pixel_format
bool | tested_CS_WGL_EXT_swap_control
bool | tested_CS_WGL_I3D_digital_video_control
bool | tested_CS_WGL_I3D_gamma
bool | tested_CS_WGL_I3D_genlock
bool | tested_CS_WGL_I3D_image_buffer
bool | tested_CS_WGL_I3D_swap_frame_lock
bool | tested_CS_WGL_I3D_swap_frame_usage

## Detailed Description

Struct containing all GL extension test flags.

Definition at line 16725 of file glextmanager.h.

## Member Data Documentation

bool csGLExtensionFlags::CS_GL_3DFX_texture_compression_FXT1

Whether the GL_3DFX_texture_compression_FXT1 extension was found.

Set by csGLExtensionManager::InitGL_3DFX_texture_compression_FXT1().

Definition at line 17027 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_3DFX_texture_compression_FXT1().

bool csGLExtensionFlags::CS_GL_APPLE_client_storage

Whether the GL_APPLE_client_storage extension was found.

Set by csGLExtensionManager::InitGL_APPLE_client_storage().

Definition at line 17111 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_APPLE_client_storage().

bool csGLExtensionFlags::CS_GL_APPLE_element_array

Whether the GL_APPLE_element_array extension was found.

Set by csGLExtensionManager::InitGL_APPLE_element_array().

Definition at line 17114 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_APPLE_element_array().

bool csGLExtensionFlags::CS_GL_APPLE_fence

Whether the GL_APPLE_fence extension was found.

Set by csGLExtensionManager::InitGL_APPLE_fence().

Definition at line 17117 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_APPLE_fence().

bool csGLExtensionFlags::CS_GL_APPLE_vertex_array_object

Whether the GL_APPLE_vertex_array_object extension was found.

Set by csGLExtensionManager::InitGL_APPLE_vertex_array_object().

Definition at line 17120 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_APPLE_vertex_array_object().

bool csGLExtensionFlags::CS_GL_APPLE_vertex_array_range

Whether the GL_APPLE_vertex_array_range extension was found.

Set by csGLExtensionManager::InitGL_APPLE_vertex_array_range().

Definition at line 17123 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_APPLE_vertex_array_range().

bool csGLExtensionFlags::CS_GL_ARB_depth_texture

Whether the GL_ARB_depth_texture extension was found.

Set by csGLExtensionManager::InitGL_ARB_depth_texture().

Definition at line 16766 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_depth_texture().

bool csGLExtensionFlags::CS_GL_ARB_draw_buffers

Whether the GL_ARB_draw_buffers extension was found.

Set by csGLExtensionManager::InitGL_ARB_draw_buffers().

Definition at line 17225 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_draw_buffers().

bool csGLExtensionFlags::CS_GL_ARB_fragment_program

Whether the GL_ARB_fragment_program extension was found.

Set by csGLExtensionManager::InitGL_ARB_fragment_program().

Definition at line 17105 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_fragment_program().

bool csGLExtensionFlags::CS_GL_ARB_fragment_shader

Whether the GL_ARB_fragment_shader extension was found.

Set by csGLExtensionManager::InitGL_ARB_fragment_shader().

Definition at line 17198 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_fragment_shader().

bool csGLExtensionFlags::CS_GL_ARB_imaging

Whether the GL_ARB_imaging extension was found.

Set by csGLExtensionManager::InitGL_ARB_imaging().

Definition at line 16742 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_imaging().

bool csGLExtensionFlags::CS_GL_ARB_matrix_palette

Whether the GL_ARB_matrix_palette extension was found.

Set by csGLExtensionManager::InitGL_ARB_matrix_palette().

Definition at line 17162 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_matrix_palette().

bool csGLExtensionFlags::CS_GL_ARB_multisample

Whether the GL_ARB_multisample extension was found.

Set by csGLExtensionManager::InitGL_ARB_multisample().

Definition at line 16751 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_multisample().

bool csGLExtensionFlags::CS_GL_ARB_multitexture

Whether the GL_ARB_multitexture extension was found.

Set by csGLExtensionManager::InitGL_ARB_multitexture().

Definition at line 16745 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_multitexture().

bool csGLExtensionFlags::CS_GL_ARB_occlusion_query

Whether the GL_ARB_occlusion_query extension was found.

Set by csGLExtensionManager::InitGL_ARB_occlusion_query().

Definition at line 17222 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_occlusion_query().

bool csGLExtensionFlags::CS_GL_ARB_pixel_buffer_object

Whether the GL_ARB_pixel_buffer_object extension was found.

Set by csGLExtensionManager::InitGL_ARB_pixel_buffer_object().

Definition at line 17204 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_pixel_buffer_object().

bool csGLExtensionFlags::CS_GL_ARB_point_parameters

Whether the GL_ARB_point_parameters extension was found.

Set by csGLExtensionManager::InitGL_ARB_point_parameters().

Definition at line 16769 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_point_parameters().

bool csGLExtensionFlags::CS_GL_ARB_point_sprite

Whether the GL_ARB_point_sprite extension was found.

Set by csGLExtensionManager::InitGL_ARB_point_sprite().

Definition at line 17189 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_point_sprite().

bool csGLExtensionFlags::CS_GL_ARB_shader_objects

Whether the GL_ARB_shader_objects extension was found.

Set by csGLExtensionManager::InitGL_ARB_shader_objects().

Definition at line 17195 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_shader_objects().

bool csGLExtensionFlags::CS_GL_ARB_shading_language_100

Whether the GL_ARB_shading_language_100 extension was found.

Set by csGLExtensionManager::InitGL_ARB_shading_language_100().

Definition at line 17192 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_shading_language_100().

bool csGLExtensionFlags::CS_GL_ARB_shadow

Whether the GL_ARB_shadow extension was found.

Set by csGLExtensionManager::InitGL_ARB_shadow().

Definition at line 16772 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_shadow().

bool csGLExtensionFlags::CS_GL_ARB_shadow_ambient

Whether the GL_ARB_shadow_ambient extension was found.

Set by csGLExtensionManager::InitGL_ARB_shadow_ambient().

Definition at line 16775 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_shadow_ambient().

bool csGLExtensionFlags::CS_GL_ARB_texture_border_clamp

Whether the GL_ARB_texture_border_clamp extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_border_clamp().

Definition at line 16778 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_texture_border_clamp().

bool csGLExtensionFlags::CS_GL_ARB_texture_compression

Whether the GL_ARB_texture_compression extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_compression().

Definition at line 16781 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_texture_compression().

bool csGLExtensionFlags::CS_GL_ARB_texture_cube_map

Whether the GL_ARB_texture_cube_map extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_cube_map().

Definition at line 16763 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_texture_cube_map().

bool csGLExtensionFlags::CS_GL_ARB_texture_env_add

Whether the GL_ARB_texture_env_add extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_env_add().

Definition at line 16754 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_texture_env_add().

bool csGLExtensionFlags::CS_GL_ARB_texture_env_combine

Whether the GL_ARB_texture_env_combine extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_env_combine().

Definition at line 16784 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_texture_env_combine().

bool csGLExtensionFlags::CS_GL_ARB_texture_env_crossbar

Whether the GL_ARB_texture_env_crossbar extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_env_crossbar().

Definition at line 16787 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_texture_env_crossbar().

bool csGLExtensionFlags::CS_GL_ARB_texture_env_dot3

Whether the GL_ARB_texture_env_dot3 extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_env_dot3().

Definition at line 16790 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_texture_env_dot3().

bool csGLExtensionFlags::CS_GL_ARB_texture_mirrored_repeat

Whether the GL_ARB_texture_mirrored_repeat extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_mirrored_repeat().

Definition at line 16793 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_texture_mirrored_repeat().

bool csGLExtensionFlags::CS_GL_ARB_texture_non_power_of_two

Whether the GL_ARB_texture_non_power_of_two extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_non_power_of_two().

Definition at line 17186 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_texture_non_power_of_two().

bool csGLExtensionFlags::CS_GL_ARB_texture_rectangle

Whether the GL_ARB_texture_rectangle extension was found.

Set by csGLExtensionManager::InitGL_ARB_texture_rectangle().

Definition at line 17207 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_texture_rectangle().

bool csGLExtensionFlags::CS_GL_ARB_transpose_matrix

Whether the GL_ARB_transpose_matrix extension was found.

Set by csGLExtensionManager::InitGL_ARB_transpose_matrix().

Definition at line 16748 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_transpose_matrix().

bool csGLExtensionFlags::CS_GL_ARB_vertex_blend

Whether the GL_ARB_vertex_blend extension was found.

Set by csGLExtensionManager::InitGL_ARB_vertex_blend().

Definition at line 16796 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_vertex_blend().

bool csGLExtensionFlags::CS_GL_ARB_vertex_buffer_object

Whether the GL_ARB_vertex_buffer_object extension was found.

Set by csGLExtensionManager::InitGL_ARB_vertex_buffer_object().

Definition at line 17180 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_pixel_buffer_object(), csGLExtensionManager::InitGL_ARB_vertex_buffer_object(), and csGLExtensionManager::InitGL_EXT_pixel_buffer_object().

bool csGLExtensionFlags::CS_GL_ARB_vertex_program

Whether the GL_ARB_vertex_program extension was found.

Set by csGLExtensionManager::InitGL_ARB_vertex_program().

Definition at line 16799 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_vertex_program().

bool csGLExtensionFlags::CS_GL_ARB_vertex_shader

Whether the GL_ARB_vertex_shader extension was found.

Set by csGLExtensionManager::InitGL_ARB_vertex_shader().

Definition at line 17201 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_vertex_shader().

bool csGLExtensionFlags::CS_GL_ARB_window_pos

Whether the GL_ARB_window_pos extension was found.

Set by csGLExtensionManager::InitGL_ARB_window_pos().

Definition at line 16802 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ARB_window_pos().

bool csGLExtensionFlags::CS_GL_ATI_element_array

Whether the GL_ATI_element_array extension was found.

Set by csGLExtensionManager::InitGL_ATI_element_array().

Definition at line 16994 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ATI_element_array().

bool csGLExtensionFlags::CS_GL_ATI_envmap_bumpmap

Whether the GL_ATI_envmap_bumpmap extension was found.

Set by csGLExtensionManager::InitGL_ATI_envmap_bumpmap().

Definition at line 16997 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ATI_envmap_bumpmap().

bool csGLExtensionFlags::CS_GL_ATI_fragment_shader

Whether the GL_ATI_fragment_shader extension was found.

Set by csGLExtensionManager::InitGL_ATI_fragment_shader().

Definition at line 17000 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ATI_fragment_shader().

bool csGLExtensionFlags::CS_GL_ATI_pn_triangles

Whether the GL_ATI_pn_triangles extension was found.

Set by csGLExtensionManager::InitGL_ATI_pn_triangles().

Definition at line 17003 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ATI_pn_triangles().

bool csGLExtensionFlags::CS_GL_ATI_separate_stencil

Whether the GL_ATI_separate_stencil extension was found.

Set by csGLExtensionManager::InitGL_ATI_separate_stencil().

Definition at line 17183 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ATI_separate_stencil().

bool csGLExtensionFlags::CS_GL_ATI_text_fragment_shader

Whether the GL_ATI_text_fragment_shader extension was found.

Set by csGLExtensionManager::InitGL_ATI_text_fragment_shader().

Definition at line 17108 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ATI_text_fragment_shader().

bool csGLExtensionFlags::CS_GL_ATI_texture_mirror_once

Whether the GL_ATI_texture_mirror_once extension was found.

Set by csGLExtensionManager::InitGL_ATI_texture_mirror_once().

Definition at line 17006 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ATI_texture_mirror_once().

bool csGLExtensionFlags::CS_GL_ATI_vertex_array_object

Whether the GL_ATI_vertex_array_object extension was found.

Set by csGLExtensionManager::InitGL_ATI_vertex_array_object().

Definition at line 17009 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ATI_vertex_array_object().

bool csGLExtensionFlags::CS_GL_ATI_vertex_attrib_array_object

Whether the GL_ATI_vertex_attrib_array_object extension was found.

Set by csGLExtensionManager::InitGL_ATI_vertex_attrib_array_object().

Definition at line 17012 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ATI_vertex_attrib_array_object().

bool csGLExtensionFlags::CS_GL_ATI_vertex_streams

Whether the GL_ATI_vertex_streams extension was found.

Set by csGLExtensionManager::InitGL_ATI_vertex_streams().

Definition at line 17015 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_ATI_vertex_streams().

bool csGLExtensionFlags::CS_GL_EXT_422_pixels

Whether the GL_EXT_422_pixels extension was found.

Set by csGLExtensionManager::InitGL_EXT_422_pixels().

Definition at line 16805 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_422_pixels().

bool csGLExtensionFlags::CS_GL_EXT_abgr

Whether the GL_EXT_abgr extension was found.

Set by csGLExtensionManager::InitGL_EXT_abgr().

Definition at line 16808 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_abgr().

bool csGLExtensionFlags::CS_GL_EXT_bgra

Whether the GL_EXT_bgra extension was found.

Set by csGLExtensionManager::InitGL_EXT_bgra().

Definition at line 16811 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_bgra().

bool csGLExtensionFlags::CS_GL_EXT_blend_color

Whether the GL_EXT_blend_color extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_color().

Definition at line 16814 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_blend_color().

bool csGLExtensionFlags::CS_GL_EXT_blend_equation_separate

Whether the GL_EXT_blend_equation_separate extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_equation_separate().

Definition at line 17228 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_blend_equation_separate().

bool csGLExtensionFlags::CS_GL_EXT_blend_func_separate

Whether the GL_EXT_blend_func_separate extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_func_separate().

Definition at line 16817 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_blend_func_separate().

bool csGLExtensionFlags::CS_GL_EXT_blend_logic_op

Whether the GL_EXT_blend_logic_op extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_logic_op().

Definition at line 16820 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_blend_logic_op().

bool csGLExtensionFlags::CS_GL_EXT_blend_minmax

Whether the GL_EXT_blend_minmax extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_minmax().

Definition at line 16823 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_blend_minmax().

bool csGLExtensionFlags::CS_GL_EXT_blend_subtract

Whether the GL_EXT_blend_subtract extension was found.

Set by csGLExtensionManager::InitGL_EXT_blend_subtract().

Definition at line 16826 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_blend_subtract().

bool csGLExtensionFlags::CS_GL_EXT_clip_volume_hint

Whether the GL_EXT_clip_volume_hint extension was found.

Set by csGLExtensionManager::InitGL_EXT_clip_volume_hint().

Definition at line 16829 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_clip_volume_hint().

bool csGLExtensionFlags::CS_GL_EXT_color_subtable

Whether the GL_EXT_color_subtable extension was found.

Set by csGLExtensionManager::InitGL_EXT_color_subtable().

Definition at line 16832 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_color_subtable().

bool csGLExtensionFlags::CS_GL_EXT_compiled_vertex_array

Whether the GL_EXT_compiled_vertex_array extension was found.

Set by csGLExtensionManager::InitGL_EXT_compiled_vertex_array().

Definition at line 16835 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_compiled_vertex_array().

bool csGLExtensionFlags::CS_GL_EXT_convolution

Whether the GL_EXT_convolution extension was found.

Set by csGLExtensionManager::InitGL_EXT_convolution().

Definition at line 16838 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_convolution().

bool csGLExtensionFlags::CS_GL_EXT_fog_coord

Whether the GL_EXT_fog_coord extension was found.

Set by csGLExtensionManager::InitGL_EXT_fog_coord().

Definition at line 16841 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_fog_coord().

bool csGLExtensionFlags::CS_GL_EXT_framebuffer_object

Whether the GL_EXT_framebuffer_object extension was found.

Set by csGLExtensionManager::InitGL_EXT_framebuffer_object().

Definition at line 17210 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_framebuffer_object().

bool csGLExtensionFlags::CS_GL_EXT_histogram

Whether the GL_EXT_histogram extension was found.

Set by csGLExtensionManager::InitGL_EXT_histogram().

Definition at line 16844 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_histogram().

bool csGLExtensionFlags::CS_GL_EXT_multi_draw_arrays

Whether the GL_EXT_multi_draw_arrays extension was found.

Set by csGLExtensionManager::InitGL_EXT_multi_draw_arrays().

Definition at line 16847 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_multi_draw_arrays().

bool csGLExtensionFlags::CS_GL_EXT_packed_depth_stencil

Whether the GL_EXT_packed_depth_stencil extension was found.

Set by csGLExtensionManager::InitGL_EXT_packed_depth_stencil().

Definition at line 17234 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_packed_depth_stencil().

bool csGLExtensionFlags::CS_GL_EXT_packed_pixels

Whether the GL_EXT_packed_pixels extension was found.

Set by csGLExtensionManager::InitGL_EXT_packed_pixels().

Definition at line 16850 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_packed_pixels().

bool csGLExtensionFlags::CS_GL_EXT_paletted_texture

Whether the GL_EXT_paletted_texture extension was found.

Set by csGLExtensionManager::InitGL_EXT_paletted_texture().

Definition at line 16853 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_paletted_texture().

bool csGLExtensionFlags::CS_GL_EXT_pixel_buffer_object

Whether the GL_EXT_pixel_buffer_object extension was found.

Set by csGLExtensionManager::InitGL_EXT_pixel_buffer_object().

Definition at line 17213 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_pixel_buffer_object().

bool csGLExtensionFlags::CS_GL_EXT_point_parameters

Whether the GL_EXT_point_parameters extension was found.

Set by csGLExtensionManager::InitGL_EXT_point_parameters().

Definition at line 16856 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_point_parameters().

bool csGLExtensionFlags::CS_GL_EXT_polygon_offset

Whether the GL_EXT_polygon_offset extension was found.

Set by csGLExtensionManager::InitGL_EXT_polygon_offset().

Definition at line 16859 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_polygon_offset().

bool csGLExtensionFlags::CS_GL_EXT_secondary_color

Whether the GL_EXT_secondary_color extension was found.

Set by csGLExtensionManager::InitGL_EXT_secondary_color().

Definition at line 16862 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_secondary_color().

bool csGLExtensionFlags::CS_GL_EXT_separate_specular_color

Whether the GL_EXT_separate_specular_color extension was found.

Set by csGLExtensionManager::InitGL_EXT_separate_specular_color().

Definition at line 16865 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_separate_specular_color().

bool csGLExtensionFlags::CS_GL_EXT_shadow_funcs

Whether the GL_EXT_shadow_funcs extension was found.

Set by csGLExtensionManager::InitGL_EXT_shadow_funcs().

Definition at line 16868 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_shadow_funcs().

bool csGLExtensionFlags::CS_GL_EXT_shared_texture_palette

Whether the GL_EXT_shared_texture_palette extension was found.

Set by csGLExtensionManager::InitGL_EXT_shared_texture_palette().

Definition at line 16871 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_shared_texture_palette().

bool csGLExtensionFlags::CS_GL_EXT_stencil_two_side

Whether the GL_EXT_stencil_two_side extension was found.

Set by csGLExtensionManager::InitGL_EXT_stencil_two_side().

Definition at line 16874 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_stencil_two_side().

bool csGLExtensionFlags::CS_GL_EXT_stencil_wrap

Whether the GL_EXT_stencil_wrap extension was found.

Set by csGLExtensionManager::InitGL_EXT_stencil_wrap().

Definition at line 16877 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_stencil_wrap().

bool csGLExtensionFlags::CS_GL_EXT_subtexture

Whether the GL_EXT_subtexture extension was found.

Set by csGLExtensionManager::InitGL_EXT_subtexture().

Definition at line 16880 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_subtexture().

bool csGLExtensionFlags::CS_GL_EXT_texture3D

Whether the GL_EXT_texture3D extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture3D().

Definition at line 16883 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_texture3D().

bool csGLExtensionFlags::CS_GL_EXT_texture_compression_s3tc

Whether the GL_EXT_texture_compression_s3tc extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_compression_s3tc().

Definition at line 16886 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_texture_compression_s3tc().

bool csGLExtensionFlags::CS_GL_EXT_texture_env_add

Whether the GL_EXT_texture_env_add extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_env_add().

Definition at line 16889 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_texture_env_add().

bool csGLExtensionFlags::CS_GL_EXT_texture_env_combine

Whether the GL_EXT_texture_env_combine extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_env_combine().

Definition at line 16892 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_texture_env_combine().

bool csGLExtensionFlags::CS_GL_EXT_texture_env_dot3

Whether the GL_EXT_texture_env_dot3 extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_env_dot3().

Definition at line 16895 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_texture_env_dot3().

bool csGLExtensionFlags::CS_GL_EXT_texture_filter_anisotropic

Whether the GL_EXT_texture_filter_anisotropic extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_filter_anisotropic().

Definition at line 16898 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_texture_filter_anisotropic().

bool csGLExtensionFlags::CS_GL_EXT_texture_lod_bias

Whether the GL_EXT_texture_lod_bias extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_lod_bias().

Definition at line 16901 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_texture_lod_bias().

bool csGLExtensionFlags::CS_GL_EXT_texture_object

Whether the GL_EXT_texture_object extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_object().

Definition at line 16904 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_texture_object().

bool csGLExtensionFlags::CS_GL_EXT_texture_rectangle

Whether the GL_EXT_texture_rectangle extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_rectangle().

Definition at line 17219 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_texture_rectangle().

bool csGLExtensionFlags::CS_GL_EXT_texture_sRGB

Whether the GL_EXT_texture_sRGB extension was found.

Set by csGLExtensionManager::InitGL_EXT_texture_sRGB().

Definition at line 17231 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_texture_sRGB().

bool csGLExtensionFlags::CS_GL_EXT_vertex_array

Whether the GL_EXT_vertex_array extension was found.

Set by csGLExtensionManager::InitGL_EXT_vertex_array().

Definition at line 16907 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_vertex_array().

bool csGLExtensionFlags::CS_GL_EXT_vertex_shader

Whether the GL_EXT_vertex_shader extension was found.

Set by csGLExtensionManager::InitGL_EXT_vertex_shader().

Definition at line 16910 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_vertex_shader().

bool csGLExtensionFlags::CS_GL_EXT_vertex_weighting

Whether the GL_EXT_vertex_weighting extension was found.

Set by csGLExtensionManager::InitGL_EXT_vertex_weighting().

Definition at line 16913 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_EXT_vertex_weighting().

bool csGLExtensionFlags::CS_GL_GREMEDY_string_marker

Whether the GL_GREMEDY_string_marker extension was found.

Set by csGLExtensionManager::InitGL_GREMEDY_string_marker().

Definition at line 17216 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_GREMEDY_string_marker().

bool csGLExtensionFlags::CS_GL_HP_occlusion_test

Whether the GL_HP_occlusion_test extension was found.

Set by csGLExtensionManager::InitGL_HP_occlusion_test().

Definition at line 16916 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_HP_occlusion_test().

bool csGLExtensionFlags::CS_GL_IBM_cull_vertex

Whether the GL_IBM_cull_vertex extension was found.

Set by csGLExtensionManager::InitGL_IBM_cull_vertex().

Definition at line 17030 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_IBM_cull_vertex().

bool csGLExtensionFlags::CS_GL_IBM_multimode_draw_arrays

Whether the GL_IBM_multimode_draw_arrays extension was found.

Set by csGLExtensionManager::InitGL_IBM_multimode_draw_arrays().

Definition at line 17033 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_IBM_multimode_draw_arrays().

bool csGLExtensionFlags::CS_GL_IBM_raster_pos_clip

Whether the GL_IBM_raster_pos_clip extension was found.

Set by csGLExtensionManager::InitGL_IBM_raster_pos_clip().

Definition at line 17036 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_IBM_raster_pos_clip().

bool csGLExtensionFlags::CS_GL_IBM_texture_mirrored_repeat

Whether the GL_IBM_texture_mirrored_repeat extension was found.

Set by csGLExtensionManager::InitGL_IBM_texture_mirrored_repeat().

Definition at line 17039 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_IBM_texture_mirrored_repeat().

bool csGLExtensionFlags::CS_GL_IBM_vertex_array_lists

Whether the GL_IBM_vertex_array_lists extension was found.

Set by csGLExtensionManager::InitGL_IBM_vertex_array_lists().

Definition at line 17042 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_IBM_vertex_array_lists().

bool csGLExtensionFlags::CS_GL_MESA_resize_buffers

Whether the GL_MESA_resize_buffers extension was found.

Set by csGLExtensionManager::InitGL_MESA_resize_buffers().

Definition at line 17045 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_MESA_resize_buffers().

bool csGLExtensionFlags::CS_GL_MESA_window_pos

Whether the GL_MESA_window_pos extension was found.

Set by csGLExtensionManager::InitGL_MESA_window_pos().

Definition at line 17048 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_MESA_window_pos().

bool csGLExtensionFlags::CS_GL_NV_blend_square

Whether the GL_NV_blend_square extension was found.

Set by csGLExtensionManager::InitGL_NV_blend_square().

Definition at line 16919 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_blend_square().

bool csGLExtensionFlags::CS_GL_NV_copy_depth_to_color

Whether the GL_NV_copy_depth_to_color extension was found.

Set by csGLExtensionManager::InitGL_NV_copy_depth_to_color().

Definition at line 16922 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_copy_depth_to_color().

bool csGLExtensionFlags::CS_GL_NV_depth_clamp

Whether the GL_NV_depth_clamp extension was found.

Set by csGLExtensionManager::InitGL_NV_depth_clamp().

Definition at line 16925 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_depth_clamp().

bool csGLExtensionFlags::CS_GL_NV_element_array

Whether the GL_NV_element_array extension was found.

Set by csGLExtensionManager::InitGL_NV_element_array().

Definition at line 17165 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_element_array().

bool csGLExtensionFlags::CS_GL_NV_evaluators

Whether the GL_NV_evaluators extension was found.

Set by csGLExtensionManager::InitGL_NV_evaluators().

Definition at line 16928 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_evaluators().

bool csGLExtensionFlags::CS_GL_NV_fence

Whether the GL_NV_fence extension was found.

Set by csGLExtensionManager::InitGL_NV_fence().

Definition at line 16931 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_fence().

bool csGLExtensionFlags::CS_GL_NV_float_buffer

Whether the GL_NV_float_buffer extension was found.

Set by csGLExtensionManager::InitGL_NV_float_buffer().

Definition at line 17168 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_float_buffer().

bool csGLExtensionFlags::CS_GL_NV_fog_distance

Whether the GL_NV_fog_distance extension was found.

Set by csGLExtensionManager::InitGL_NV_fog_distance().

Definition at line 16934 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_fog_distance().

bool csGLExtensionFlags::CS_GL_NV_fragment_program

Whether the GL_NV_fragment_program extension was found.

Set by csGLExtensionManager::InitGL_NV_fragment_program().

Definition at line 17171 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_fragment_program().

bool csGLExtensionFlags::CS_GL_NV_light_max_exponent

Whether the GL_NV_light_max_exponent extension was found.

Set by csGLExtensionManager::InitGL_NV_light_max_exponent().

Definition at line 16937 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_light_max_exponent().

bool csGLExtensionFlags::CS_GL_NV_multisample_filter_hint

Whether the GL_NV_multisample_filter_hint extension was found.

Set by csGLExtensionManager::InitGL_NV_multisample_filter_hint().

Definition at line 16940 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_multisample_filter_hint().

bool csGLExtensionFlags::CS_GL_NV_occlusion_query

Whether the GL_NV_occlusion_query extension was found.

Set by csGLExtensionManager::InitGL_NV_occlusion_query().

Definition at line 16943 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_occlusion_query().

bool csGLExtensionFlags::CS_GL_NV_packed_depth_stencil

Whether the GL_NV_packed_depth_stencil extension was found.

Set by csGLExtensionManager::InitGL_NV_packed_depth_stencil().

Definition at line 16946 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_packed_depth_stencil().

bool csGLExtensionFlags::CS_GL_NV_point_sprite

Whether the GL_NV_point_sprite extension was found.

Set by csGLExtensionManager::InitGL_NV_point_sprite().

Definition at line 16949 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_point_sprite().

bool csGLExtensionFlags::CS_GL_NV_primitive_restart

Whether the GL_NV_primitive_restart extension was found.

Set by csGLExtensionManager::InitGL_NV_primitive_restart().

Definition at line 17174 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_primitive_restart().

bool csGLExtensionFlags::CS_GL_NV_register_combiners

Whether the GL_NV_register_combiners extension was found.

Set by csGLExtensionManager::InitGL_NV_register_combiners().

Definition at line 16952 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_register_combiners().

bool csGLExtensionFlags::CS_GL_NV_register_combiners2

Whether the GL_NV_register_combiners2 extension was found.

Set by csGLExtensionManager::InitGL_NV_register_combiners2().

Definition at line 16955 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_register_combiners2().

bool csGLExtensionFlags::CS_GL_NV_texgen_emboss

Whether the GL_NV_texgen_emboss extension was found.

Set by csGLExtensionManager::InitGL_NV_texgen_emboss().

Definition at line 16958 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_texgen_emboss().

bool csGLExtensionFlags::CS_GL_NV_texgen_reflection

Whether the GL_NV_texgen_reflection extension was found.

Set by csGLExtensionManager::InitGL_NV_texgen_reflection().

Definition at line 16961 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_texgen_reflection().

bool csGLExtensionFlags::CS_GL_NV_texture_compression_vtc

Whether the GL_NV_texture_compression_vtc extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_compression_vtc().

Definition at line 16964 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_texture_compression_vtc().

bool csGLExtensionFlags::CS_GL_NV_texture_env_combine4

Whether the GL_NV_texture_env_combine4 extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_env_combine4().

Definition at line 16967 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_texture_env_combine4().

bool csGLExtensionFlags::CS_GL_NV_texture_rectangle

Whether the GL_NV_texture_rectangle extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_rectangle().

Definition at line 16970 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_texture_rectangle().

bool csGLExtensionFlags::CS_GL_NV_texture_shader

Whether the GL_NV_texture_shader extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_shader().

Definition at line 16973 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_texture_shader().

bool csGLExtensionFlags::CS_GL_NV_texture_shader2

Whether the GL_NV_texture_shader2 extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_shader2().

Definition at line 16976 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_texture_shader2().

bool csGLExtensionFlags::CS_GL_NV_texture_shader3

Whether the GL_NV_texture_shader3 extension was found.

Set by csGLExtensionManager::InitGL_NV_texture_shader3().

Definition at line 16979 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_texture_shader3().

bool csGLExtensionFlags::CS_GL_NV_vertex_array_range

Whether the GL_NV_vertex_array_range extension was found.

Set by csGLExtensionManager::InitGL_NV_vertex_array_range().

Definition at line 16982 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_vertex_array_range().

bool csGLExtensionFlags::CS_GL_NV_vertex_array_range2

Whether the GL_NV_vertex_array_range2 extension was found.

Set by csGLExtensionManager::InitGL_NV_vertex_array_range2().

Definition at line 16985 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_vertex_array_range2().

bool csGLExtensionFlags::CS_GL_NV_vertex_program

Whether the GL_NV_vertex_program extension was found.

Set by csGLExtensionManager::InitGL_NV_vertex_program().

Definition at line 16988 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_vertex_program().

bool csGLExtensionFlags::CS_GL_NV_vertex_program1_1

Whether the GL_NV_vertex_program1_1 extension was found.

Set by csGLExtensionManager::InitGL_NV_vertex_program1_1().

Definition at line 16991 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_vertex_program1_1().

bool csGLExtensionFlags::CS_GL_NV_vertex_program2

Whether the GL_NV_vertex_program2 extension was found.

Set by csGLExtensionManager::InitGL_NV_vertex_program2().

Definition at line 17177 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_NV_vertex_program2().

bool csGLExtensionFlags::CS_GL_OML_interlace

Whether the GL_OML_interlace extension was found.

Set by csGLExtensionManager::InitGL_OML_interlace().

Definition at line 17051 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_OML_interlace().

bool csGLExtensionFlags::CS_GL_OML_resample

Whether the GL_OML_resample extension was found.

Set by csGLExtensionManager::InitGL_OML_resample().

Definition at line 17054 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_OML_resample().

bool csGLExtensionFlags::CS_GL_OML_subsample

Whether the GL_OML_subsample extension was found.

Set by csGLExtensionManager::InitGL_OML_subsample().

Definition at line 17057 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_OML_subsample().

bool csGLExtensionFlags::CS_GL_SGI_color_matrix

Whether the GL_SGI_color_matrix extension was found.

Set by csGLExtensionManager::InitGL_SGI_color_matrix().

Definition at line 17093 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGI_color_matrix().

bool csGLExtensionFlags::CS_GL_SGI_color_table

Whether the GL_SGI_color_table extension was found.

Set by csGLExtensionManager::InitGL_SGI_color_table().

Definition at line 17096 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGI_color_table().

bool csGLExtensionFlags::CS_GL_SGI_texture_color_table

Whether the GL_SGI_texture_color_table extension was found.

Set by csGLExtensionManager::InitGL_SGI_texture_color_table().

Definition at line 17099 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGI_texture_color_table().

bool csGLExtensionFlags::CS_GL_SGIS_depth_texture

Whether the GL_SGIS_depth_texture extension was found.

Set by csGLExtensionManager::InitGL_SGIS_depth_texture().

Definition at line 17081 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIS_depth_texture().

bool csGLExtensionFlags::CS_GL_SGIS_generate_mipmap

Whether the GL_SGIS_generate_mipmap extension was found.

Set by csGLExtensionManager::InitGL_SGIS_generate_mipmap().

Definition at line 17060 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIS_generate_mipmap().

bool csGLExtensionFlags::CS_GL_SGIS_multisample

Whether the GL_SGIS_multisample extension was found.

Set by csGLExtensionManager::InitGL_SGIS_multisample().

Definition at line 17063 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIS_multisample().

bool csGLExtensionFlags::CS_GL_SGIS_pixel_texture

Whether the GL_SGIS_pixel_texture extension was found.

Set by csGLExtensionManager::InitGL_SGIS_pixel_texture().

Definition at line 17066 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIS_pixel_texture().

bool csGLExtensionFlags::CS_GL_SGIS_texture_border_clamp

Whether the GL_SGIS_texture_border_clamp extension was found.

Set by csGLExtensionManager::InitGL_SGIS_texture_border_clamp().

Definition at line 17069 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIS_texture_border_clamp().

bool csGLExtensionFlags::CS_GL_SGIS_texture_color_mask

Whether the GL_SGIS_texture_color_mask extension was found.

Set by csGLExtensionManager::InitGL_SGIS_texture_color_mask().

Definition at line 17072 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIS_texture_color_mask().

bool csGLExtensionFlags::CS_GL_SGIS_texture_edge_clamp

Whether the GL_SGIS_texture_edge_clamp extension was found.

Set by csGLExtensionManager::InitGL_SGIS_texture_edge_clamp().

Definition at line 17075 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIS_texture_edge_clamp().

bool csGLExtensionFlags::CS_GL_SGIS_texture_lod

Whether the GL_SGIS_texture_lod extension was found.

Set by csGLExtensionManager::InitGL_SGIS_texture_lod().

Definition at line 17078 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIS_texture_lod().

bool csGLExtensionFlags::CS_GL_SGIX_fog_offset

Whether the GL_SGIX_fog_offset extension was found.

Set by csGLExtensionManager::InitGL_SGIX_fog_offset().

Definition at line 17084 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIX_fog_offset().

bool csGLExtensionFlags::CS_GL_SGIX_interlace

Whether the GL_SGIX_interlace extension was found.

Set by csGLExtensionManager::InitGL_SGIX_interlace().

Definition at line 17087 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIX_interlace().

bool csGLExtensionFlags::CS_GL_SGIX_shadow_ambient

Whether the GL_SGIX_shadow_ambient extension was found.

Set by csGLExtensionManager::InitGL_SGIX_shadow_ambient().

Definition at line 17090 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SGIX_shadow_ambient().

bool csGLExtensionFlags::CS_GL_SUN_vertex

Whether the GL_SUN_vertex extension was found.

Set by csGLExtensionManager::InitGL_SUN_vertex().

Definition at line 17102 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_SUN_vertex().

bool csGLExtensionFlags::CS_GL_version_1_2

Whether the corresponding GL version is supported.

Definition at line 16729 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_version_1_2(), and csGLExtensionManager::InitGL_version_1_3().

bool csGLExtensionFlags::CS_GL_version_1_3

Whether the corresponding GL version is supported.

Definition at line 16731 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_version_1_3(), and csGLExtensionManager::InitGL_version_1_4().

bool csGLExtensionFlags::CS_GL_version_1_4

Whether the corresponding GL version is supported.

Definition at line 16733 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_version_1_4(), and csGLExtensionManager::InitGL_version_1_5().

bool csGLExtensionFlags::CS_GL_version_1_5

Whether the corresponding GL version is supported.

Definition at line 16735 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_version_1_5(), and csGLExtensionManager::InitGL_version_2_0().

bool csGLExtensionFlags::CS_GL_version_2_0

Whether the corresponding GL version is supported.

Definition at line 16737 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_version_2_0(), and csGLExtensionManager::InitGL_version_2_1().

bool csGLExtensionFlags::CS_GL_version_2_1

Whether the corresponding GL version is supported.

Definition at line 16739 of file glextmanager.h.

Referenced by csGLExtensionManager::InitGL_version_2_1().

bool csGLExtensionFlags::CS_WGL_ARB_buffer_region

Whether the WGL_ARB_buffer_region extension was found.

Set by csGLExtensionManager::InitWGL_ARB_buffer_region().

Definition at line 16760 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_ARB_buffer_region().

bool csGLExtensionFlags::CS_WGL_ARB_extensions_string

Whether the WGL_ARB_extensions_string extension was found.

Set by csGLExtensionManager::InitWGL_ARB_extensions_string().

Definition at line 16757 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_ARB_extensions_string().

bool csGLExtensionFlags::CS_WGL_ARB_make_current_read

Whether the WGL_ARB_make_current_read extension was found.

Set by csGLExtensionManager::InitWGL_ARB_make_current_read().

Definition at line 17129 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_ARB_make_current_read().

bool csGLExtensionFlags::CS_WGL_ARB_pbuffer

Whether the WGL_ARB_pbuffer extension was found.

Set by csGLExtensionManager::InitWGL_ARB_pbuffer().

Definition at line 17132 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_ARB_pbuffer().

bool csGLExtensionFlags::CS_WGL_ARB_pixel_format

Whether the WGL_ARB_pixel_format extension was found.

Set by csGLExtensionManager::InitWGL_ARB_pixel_format().

Definition at line 17126 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_ARB_pixel_format().

bool csGLExtensionFlags::CS_WGL_ARB_render_texture

Whether the WGL_ARB_render_texture extension was found.

Set by csGLExtensionManager::InitWGL_ARB_render_texture().

Definition at line 17138 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_ARB_render_texture().

bool csGLExtensionFlags::CS_WGL_EXT_extensions_string

Whether the WGL_EXT_extensions_string extension was found.

Set by csGLExtensionManager::InitWGL_EXT_extensions_string().

Definition at line 17141 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_EXT_extensions_string().

bool csGLExtensionFlags::CS_WGL_EXT_make_current_read

Whether the WGL_EXT_make_current_read extension was found.

Set by csGLExtensionManager::InitWGL_EXT_make_current_read().

Definition at line 17144 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_EXT_make_current_read().

bool csGLExtensionFlags::CS_WGL_EXT_pbuffer

Whether the WGL_EXT_pbuffer extension was found.

Set by csGLExtensionManager::InitWGL_EXT_pbuffer().

Definition at line 17147 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_EXT_pbuffer().

bool csGLExtensionFlags::CS_WGL_EXT_pixel_format

Whether the WGL_EXT_pixel_format extension was found.

Set by csGLExtensionManager::InitWGL_EXT_pixel_format().

Definition at line 17150 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_EXT_pixel_format().

bool csGLExtensionFlags::CS_WGL_EXT_swap_control

Whether the WGL_EXT_swap_control extension was found.

Set by csGLExtensionManager::InitWGL_EXT_swap_control().

Definition at line 17135 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_EXT_swap_control().

bool csGLExtensionFlags::CS_WGL_I3D_digital_video_control

Whether the WGL_I3D_digital_video_control extension was found.

Set by csGLExtensionManager::InitWGL_I3D_digital_video_control().

Definition at line 17153 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_I3D_digital_video_control().

bool csGLExtensionFlags::CS_WGL_I3D_gamma

Whether the WGL_I3D_gamma extension was found.

Set by csGLExtensionManager::InitWGL_I3D_gamma().

Definition at line 17156 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_I3D_gamma().

bool csGLExtensionFlags::CS_WGL_I3D_genlock

Whether the WGL_I3D_genlock extension was found.

Set by csGLExtensionManager::InitWGL_I3D_genlock().

Definition at line 17159 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_I3D_genlock().

bool csGLExtensionFlags::CS_WGL_I3D_image_buffer

Whether the WGL_I3D_image_buffer extension was found.

Set by csGLExtensionManager::InitWGL_I3D_image_buffer().

Definition at line 17018 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_I3D_image_buffer().

bool csGLExtensionFlags::CS_WGL_I3D_swap_frame_lock

Whether the WGL_I3D_swap_frame_lock extension was found.

Set by csGLExtensionManager::InitWGL_I3D_swap_frame_lock().

Definition at line 17021 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_I3D_swap_frame_lock().

bool csGLExtensionFlags::CS_WGL_I3D_swap_frame_usage

Whether the WGL_I3D_swap_frame_usage extension was found.

Set by csGLExtensionManager::InitWGL_I3D_swap_frame_usage().

Definition at line 17024 of file glextmanager.h.

Referenced by csGLExtensionManager::InitWGL_I3D_swap_frame_usage().

The documentation for this struct was generated from the following file:

- csplugincommon/opengl/glextmanager.h